Skip to main content
PATCH
Update an out-of-office entry for a user

Headers

Authorization
string

For non-platform customers - value must be Bearer <token> where <token> is api key prefixed with cal_

x-cal-secret-key
string

For platform customers - OAuth client secret key

x-cal-client-id
string

For platform customers - OAuth client ID

Path Parameters

userId
number
required
oooId
number
required
orgId
number
required

Body

application/json
start
string<date-time>

The start date and time of the out of office period in ISO 8601 format in UTC timezone.

Example:

"2023-05-01T00:00:00.000Z"

end
string<date-time>

The end date and time of the out of office period in ISO 8601 format in UTC timezone.

Example:

"2023-05-10T23:59:59.999Z"

notes
string

Optional notes for the out of office entry.

Example:

"Vacation in Hawaii"

toUserId
number

The ID of the user covering for the out of office period, if applicable.

Example:

2

reason
enum<string>

the reason for the out of office entry, if applicable

Available options:
unspecified,
vacation,
travel,
sick,
public_holiday
Example:

"vacation"

Response

200 - application/json
status
enum<string>
required
Available options:
success,
error
Example:

"success"

data
object
required